Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 330165

Summary: net-irc/inspircd-1.1.19 fails to compile with gcc-4.4
Product: Gentoo Linux Reporter: Kerin Millar <kfm>
Component: New packagesAssignee: Chema Alonso Josa (RETIRED) <nimiux>
Status: RESOLVED FIXED    
Severity: normal CC: binki, brain, c1pher, esigra, gentoobugzilla, patrick, travisghansen
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 249226    
Attachments: build.log

Description Kerin Millar 2010-07-28 09:29:17 UTC
Confirmed with gcc-4.4.4-r1 on amd64 arch:

*************************************
*       BUILDING INSPIRCD           *
*                                   *
*   This will take a *long* time.   *
*     Why not read our wiki at      *
*   http://www.inspircd.org/wiki    *
*  while you wait for make to run?  *
*************************************
make -C src DIRNAME="src" 'PROGS=inspircd' 'FLAGS=-fno-strict-aliasing -fPIC -Wall -Woverloaded-virtual -Wno-deprecated -g1 -O2 -pipe' 'CC=g++' 'LDLIBS=-ldl -lstdc++' 'MODULES=m_alias.so m_alltime.so m_antibear.so m_antibottler.so m_auditorium.so m_banexception.so m_banredirect.so m_blockamsg.so m_blockcaps.so m_blockcolor.so m_botmode.so m_cban.so m_censor.so m_cgiirc.so m_chancreate.so m_chanfilter.so m_chanprotect.so m_check.so m_chghost.so m_chgident.so m_chgname.so m_cloaking.so m_clones.so m_close.so m_commonchans.so m_conn_join.so m_conn_umodes.so m_conn_waitpong.so m_connflood.so m_customtitle.so m_cycle.so m_dccallow.so m_deaf.so m_denychans.so m_devoice.so m_dnsbl.so m_filter.so m_foobar.so m_globalload.so m_globops.so m_helpop.so m_hidechans.so m_hideoper.so m_hostchange.so m_httpd.so m_httpd_stats.so m_ident.so m_invisible.so m_inviteexception.so m_joinflood.so m_jumpserver.so m_kicknorejoin.so m_knock.so m_ldapauth.so m_lockserv.so m_md5.so m_messageflood.so m_namesx.so m_nickflood.so m_nicklock.so m_noctcp.so m_noinvite.so m_nokicks.so m_nonicks.so m_nonotice.so m_oper_hash.so m_operchans.so m_operjoin.so m_operlevels.so m_operlog.so m_opermodes.so m_opermotd.so m_override.so m_randquote.so m_redirect.so m_regonlycreate.so m_remove.so m_restrictbanned.so m_restrictchans.so m_restrictmsg.so m_safelist.so m_sajoin.so m_samode.so m_sanick.so m_sapart.so m_saquit.so m_securelist.so m_seenicks.so m_services.so m_services_account.so m_sethost.so m_setident.so m_setidle.so m_setname.so m_sha256.so m_showwhois.so m_silence.so m_silence_ext.so m_spy.so m_ssl_dummy.so m_sslmodes.so m_stripcolor.so m_svshold.so m_swhois.so m_taxonomy.so m_testcommand.so m_timedbans.so m_tline.so m_uhnames.so m_uninvite.so m_userip.so m_vhost.so m_watch.so m_xmlsocket.so m_ziplink.so m_spanningtree.so ' 'MODPATH=/usr/lib64/inspircd/modules' 'LIBPATH=/usr/lib64/inspircd' 'STATICLIBS=' 'INSTMODE=0755'
make[1]: Entering directory `/var/tmp/portage/net-irc/inspircd-1.1.19/work/inspircd/src'
g++ -pipe -I../include -fno-strict-aliasing -fPIC -Wall -Woverloaded-virtual -Wno-deprecated -g1 -O2 -pipe -export-dynamic -c timer.cpp
g++ -pipe -Wl,--rpath -Wl,/usr/lib64/inspircd -shared -o libIRCDtimer.so timer.o
g++ -pipe -I../include -fno-strict-aliasing -fPIC -Wall -Woverloaded-virtual -Wno-deprecated -g1 -O2 -pipe -export-dynamic -c cull_list.cpp
g++ -pipe -Wl,--rpath -Wl,/usr/lib64/inspircd -shared -o libIRCDcull_list.so cull_list.o
g++ -pipe -I../include -fno-strict-aliasing -fPIC -Wall -Woverloaded-virtual -Wno-deprecated -g1 -O2 -pipe -export-dynamic -c userprocess.cpp
userprocess.cpp: In member function 'void InspIRCd::DoBackgroundUserStuff(time_t)':
userprocess.cpp:277: error: 'snprintf' was not declared in this scope
make[1]: *** [libIRCDuserprocess.so] Error 1
make[1]: Leaving directory `/var/tmp/portage/net-irc/inspircd-1.1.19/work/inspircd/src'
make: *** [ircd] Error 2
 * ERROR: net-irc/inspircd-1.1.19 failed:

A quick solution would be to push inspircd-1.1.23 to the arch testers as this version compiles without issue.

On the other hand, the package could use a bump. This is in maintainer-needed state, so I'm just going to assign this to vostorga (as the last person who made any major commits), and CC patrick (as the last person to touch the package).
Comment 1 Aljoscha Vollmerhaus 2010-11-26 12:35:31 UTC
Created attachment 255481 [details]
build.log
Comment 2 Aljoscha Vollmerhaus 2010-11-26 12:37:55 UTC
inspircd-1.1.23 still fails for me. I´ve attached the build.log, emerge --info as follows:


Portage 2.1.8.3 (hardened/linux/amd64/no-multilib, gcc-4.4.4, glibc-2.11.2-r3, 2.6.34-hardened-r6 x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.34-hardened-r6-x86_64-Intel-R-_Atom-TM-_CPU_330_@_1.60GHz-with-gentoo-1.12.14
Timestamp of tree: Fri, 26 Nov 2010 08:15:03 +0000
app-shells/bash:     4.1_p7
dev-lang/python:     2.6.5-r3, 3.1.2-r4
sys-apps/baselayout: 1.12.14-r1
sys-apps/sandbox:    2.3-r1
sys-devel/autoconf:  2.65-r1
sys-devel/automake:  1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.4-r2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.10
sys-devel/make:      3.81-r2
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/openvpn/easy-rsa"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=native"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/ http://ftp-stud.fht-esslingen.de/pub/Mirrors/gentoo/ "
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="amd64 bash-completion berkdb bzip2 cli cracklib crypt cxx dri fam gdbm gnutls hardened iconv justify mmx modules mudflap ncurses nls nptl nptlonly offensive openmp pam pcre perl pic pppd python readline session sse sse2 ssl sysfs tcpd threads unicode urandom xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" PHP_TARGETS="php5-2" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga neomagic nouveau nv r128 radeon savage sis tdfx trident vesa via vmware voodoo" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY
Comment 3 Dane Smith (RETIRED) gentoo-dev 2011-04-01 12:03:19 UTC
Reassigning to new maintainers / proxies.
Comment 4 Samuli Suominen gentoo-dev 2011-05-11 12:38:37 UTC
Fixed by 2.0.3 (it's also stable now)